<?php
/**
 * @author QuanticaLabs - http://codecanyon.net/user/QuanticaLabs/portfolio?ref=QuanticaLabs
 *
 * @link			http://codecanyon.net/item/timetable-responsive-schedule-for-joomla/9749539?ref=QuanticaLabs
 * @copyright		Copyright (C) 2008 - 2014 quanticalabs.com . All rights reserved.
 * @license			GNU General Public License version 2 or later; see LICENSE under Licensing/ directory
 */
 
defined('_JEXEC') or die('Restricted access');

require_once(dirname(__FILE__) . '/helper.php');
require_once(JPATH_ROOT . "/components/com_timetable/config.php");
require_once(COM_TIMETABLE_CLASSES_PATH . "timetable_shortcode.php");

$document = JFactory::getDocument();
$document->addStyleSheet(COM_TIMETABLE_STYLES_URL . "style.css");
$document->addStyleSheet(COM_TIMETABLE_STYLES_URL . "superfish.css");
$document->addStyleSheet(COM_TIMETABLE_STYLES_URL . "event_template.css");
$document->addStyleSheet(COM_TIMETABLE_STYLES_URL . "responsive.css");

$document->addScript(COM_TIMETABLE_SCRIPTS_URL . "jquery.ba-bbq.min.js");
$document->addScript(COM_TIMETABLE_SCRIPTS_URL . "jquery.carouFredSel-6.2.1-packed.js");
$document->addScript(COM_TIMETABLE_SCRIPTS_URL . "jquery.ui.tabs.js");
$document->addScript(COM_TIMETABLE_SCRIPTS_URL . "timetable.js");

// get module params
$title = $params->get('title');
$title_color = str_replace("#", "", $params->get('title_color')) ;
$count = $params->get('count');
$display_settings = $params->get('display_settings');
$within_next = $params->get('within_next');
$time_format = $params->get('time_format');
$time_format_custom = $params->get('time_format_custom');
$time_mode = $params->get('time_mode');
$timezone = $params->get('timezone');
$categories = $params->get('categories');
$auto_scroll = $params->get('auto_scroll');
$disable_url = $params->get('disable_url');
$custom_url = $params->get('custom_url');
$background_color = strtolower($params->get('background_color'))=="#ffffff" ? "" : str_replace("#", "", $params->get('background_color'));
$hover_background_color = strtolower($params->get('hover_background_color'))=="#00a27c" ? "" : str_replace("#", "", $params->get('hover_background_color'));
$text_color = strtolower($params->get('text_color'))=="#34495e" ? "" : str_replace("#", "", $params->get('text_color'));
$hover_text_color = strtolower($params->get('hover_text_color'))=="#ffffff" ? "" : str_replace("#", "", $params->get('hover_text_color'));
$item_border_color = strtolower($params->get('item_border_color'))=="#00a27c" ? "" : str_replace("#", "", $params->get('item_border_color'));
$hover_item_border_color = strtolower($params->get('hover_item_border_color'))=="#00a27c" ? "" : str_replace("#", "", $params->get('hover_item_border_color'));	

 		
require(JModuleHelper::getLayoutPath('mod_timetable'));
